> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonderplan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> 
<Note>`WRITE` access to the `ADMIN` module is required to access this endpoint</Note>
<Tip>The `scheduleCreated` webhook will be fired when this endpoint has run successfully</Tip>



## OpenAPI

````yaml /api-reference/openapi-mintlify.yaml post /v2/workspace
openapi: 3.0.0
info:
  title: Sonderplan API
  description: >
    ## Overview

    You can use our REST API to securely access and modify the data within your
    Sonderplan account. This includes all the information within your bookings,
    projects and invoices that you can use to import / export data or create
    integrations with other systems and software that you use


    ### General Notes


    #### Specifying Fields

    The Sonderplan REST API allows you to specify a comma delimited string of
    exactly which fields are returned, using the `fields` parameter. Using this
    parameter has several advantages including:


    1. In future API versions we may change which fields are presented by
    default, so explicitly specifying the fields required overrides the defaults
    and ensure the fields are served

    2. Limiting fields reduces the processing we need to do and allows us to
    send you the data faster

    3. Some search filters only work if the field you are searching is added to
    the `fields` parameter.


    Example:


    ```

    fields=id,name,start,duration_min

    ```


    ### Applying Filters


    The Query Parameters section in each endpoint shows you special options that
    can be added to your request to customise the response we send you.


    Most endpoints offer the following query params:


    | Query Parameter |
    Description                                                    |

    |-----------------|----------------------------------------------------------------|

    | `fields`        | Only send the specified
    fields                                 |

    | `id`            | Specify one or more ids (comma seperated) of records to
    return |

    | `limit`         | The maximum number of records to
    return                        |

    | `page`          | The page number of records to
    return                           |

    | `order_asc` | Specify which field should be used to sort records
    `ascending` |

    | `order_desc` | Specify which field should be used to sort records
    `descending` |


    In addition to the standard `id` param, you can also specify most other
    fields as a query parameter, useful for performing searching and filtering
    of records.


    For example, you can specify `repeat_master_id=<repeat_booking_id>` to
    return all repeat children of that booking.


    #### Other Query Params


    Refer to the specific API endpoint documentation to see which other query
    params can be used.


    For example, some endpoints allow specifying `updated_after=<UNIX
    TIMESTAMP>` which will only send added, edited and even deleted records that
    were modified after the unix timestamp.


    #### Applying multiple filters


    By default, multiple filters are chained together using **OR** (either
    filter can be true and it will be included). You can change this behaviour
    by specifying `filter_operator=AND`, so each filter must be true to be
    included.


    #### Filtering by Custom Field Values


    For modules that include custom fields, you can search by the value of a
    custom field by adding the `custom_field_<field id>` to the URL query
    parameters. You **must** also specify the custom field in the `fields`
    parameter.


    ```

    GET
    https://api.sonderplan.com/v2/booking?fields=id,name,custom_field_238938&custom_field_238938=Offline

    ```


    This will return custom fields that contain the word 'Offline'.
  contact:
    email: info@sonderplan.com
  version: '2.0'
servers:
  - url: https://api.sonderplan.com
    description: Production Server
security: []
tags:
  - name: Booking
    description: Booking related operations
  - name: Project
    description: Project related operations
  - name: Resource
    description: Resource related operations
  - name: Contact
    description: Contact related operations
  - name: Quote
    description: Quote related operations
  - name: Invoice
    description: Invoice related operations
  - name: Invoice Template
    description: Invoice template related operations
  - name: Billable Item
    description: Billable item related operations
  - name: Rate Scheme
    description: Rate scheme related operations
  - name: Tax
    description: Tax related operations
  - name: Workspace
    description: Workspace (formerly Schedule) related operations
  - name: User
    description: User related operations
  - name: Group
    description: Group related operations
  - name: Status
    description: Status related operations
  - name: Custom Field
    description: Custom field related operations
  - name: Calendar Subscription
    description: Calendar Subscription Import related operations
  - name: Time Entry
    description: Time Entry related operations
  - name: Time Activity
    description: Time Activity related operations
paths:
  /v2/workspace:
    post:
      tags:
        - Workspace
      summary: Create Workspace
      description: >-

        <Note>`WRITE` access to the `ADMIN` module is required to access this
        endpoint</Note>

        <Tip>The `scheduleCreated` webhook will be fired when this endpoint has
        run successfully</Tip>
      operationId: 725db953094843b0da86af66fbbf852b
      requestBody:
        description: Workspace object that needs to be added
        required: true
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/Workspace'
                - required:
                    - name
      responses:
        '200':
          description: Successful Operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/success'
        '401':
          description: Authorization information is missing or invalid
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFound'
      security:
        - bearer: []
components:
  schemas:
    Workspace:
      title: Workspace Model
      description: Workspace model
      properties:
        id:
          description: Automatically generated unique workspace id
          type: integer
          example: 9458
        name:
          description: Name of the workspace
          type: string
          example: Sydney Studio
        description:
          description: Additional info about the workspace
          type: string
          example: Sydney Office, Level 2
        resources:
          description: The resources that have been assigned to the workspace
          type: array
          items:
            $ref: '#/components/schemas/ResourceSummary'
        access:
          description: The users and groups who have been given access to the workspace
          type: array
          items:
            $ref: '#/components/schemas/AccessSummary'
        feed:
          description: iCalendar subscription feed URL (if enabled)
          type: string
        working_week:
          description: >-
            Identifer of one of the following predefined working week templates.
            `0` = Monday -> Friday (Saturday / Sunday), `1` = Monday -> Saturday
            (Sunday), `2` = Saturday -> Thursday (Friday), `3` = Sunday ->
            Thursday (Friday / Saturday)
          type: integer
          example: 3
        country_region:
          description: >-
            Identifier of the country / state that public holidays should be
            loaded for. Only required if `show_public_holiday` = `true`
          type: string
          example: AU-NSW
        show_public_holiday:
          description: Should public holidays be loaded on the workspace
          type: boolean
          example: true
      type: object
    success:
      title: Success Response
      properties:
        success:
          properties:
            id:
              type: integer
              example: 1
          type: object
      type: object
    notFound:
      title: Not Found Response
      description: Class OpenApi
      properties:
        error:
          properties:
            code:
              description: The HTTP error code
              type: integer
              example: '404'
            message:
              description: More detail on the error encountered
              type: string
              example: Requested resource was not found
          type: object
      type: object
    ResourceSummary:
      title: Resource Summary Model
      description: Resource model summarised
      properties:
        id:
          description: Automatically generated unique resource id
          type: integer
          readOnly: true
          example: 9458
        name:
          description: Name of the resource
          type: string
          example: Edit Suite 1
        description:
          description: Additional info about the resource
          type: string
          example: Sydney Office, Level 2
        type_id:
          description: 1 = Room, 2 = Person, 3 = Equipment, 4 = Resource Group, 5 = Action
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
          example: 1
        type_person_id:
          description: Unique id of the person (only applies if this resource is a person)
          type: integer
          example: 0
        parent_id:
          description: Unique id of the resource group that this resource is a child of
          type: integer
          example: 2908
        parent_name:
          description: Name of the parent
          type: string
          example: Cameras
        updated:
          description: The UNIX time value of the last update
          type: integer
          readOnly: true
          example: 1388552400
        icon:
          type: array
          items:
            $ref: '#/components/schemas/FileSummary'
      type: object
    AccessSummary:
      title: User Group Access Summary
      description: Users and groups who have access to the object
      properties:
        id:
          description: Unique identifier of the object
          type: integer
          example: 4
        acl:
          description: >-
            Level of access that this object has, RW = Read Write, RO = Read
            Only. Note: for no access, object should be omitted from `access`
            object.
          type: string
          enum:
            - RW
            - RO
          example: RW
        name:
          description: Name of the object
          type: string
          example: Administrators
        type:
          description: The type of the object
          type: string
          enum:
            - user
            - group
          example: group
      type: object
    FileSummary:
      title: File Summary Model
      description: Simplified file model containing only a subset of fields
      properties:
        id:
          description: Automatically generated File ID
          type: integer
          readOnly: true
          example: 2342354
        name:
          description: Original file name
          type: string
          example: Avid_Icon
        size:
          description: File size (in bytes)
          type: integer
          example: 174285
        alias:
          description: Automatically generated file alias
          type: string
          example: 7e73ab25155974c230d09494548201b9f5056ef
        extension:
          description: File extension
          type: string
          example: png
        mime_type:
          description: File mime type
          type: string
          example: image/png
      type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````